ru.bitel.common.model

## Class AbstractDao<B>

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.model.AbstractDao<B>

- Type Parameters:
    `B` -
  All Implemented Interfaces:
    java.lang.AutoCloseable

  Deprecated.
  Use `AbstractDao`

      @Deprecated
      public abstract class AbstractDao<B>
      extends ru.bitel.common.dao.AbstractDao<B>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDao(java.sql.Connection con, int mid, java.lang.String tableName)` Deprecated.
    `AbstractDao(java.sql.Connection con, int mid, java.lang.String tableName, java.util.Date date)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getFromRS, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update, updateImpl`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDao

          public AbstractDao(java.sql.Connection con,
                             int mid,
                             java.lang.String tableName)

      Deprecated.

    - #### AbstractDao

          public AbstractDao(java.sql.Connection con,
                             int mid,
                             java.lang.String tableName,
                             java.util.Date date)

      Deprecated.